using System;
using System.Collections.Generic;
using System.Text;

namespace BennettAdelson.Sig.Common.Bases {
	public abstract class CommonBase {
		private readonly string EXCEPTION_POLICY_NAME;

		protected CommonBase(string exceptionPolicy) {
			EXCEPTION_POLICY_NAME = exceptionPolicy;
		}

		public virtual bool HandleException(Exception exc) {
			return ExceptionHandler.HandleException(exc, EXCEPTION_POLICY_NAME);
		}

		public virtual bool HandleException(Exception exc, string policyOverride) {
			return ExceptionHandler.HandleException(exc, policyOverride);
		}
	}
}
