using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using BennettAdelson.Sig.MiddleTier;
using BennettAdelson.Sig.Common;

public partial class _Default : System.Web.UI.Page {
	protected void Page_Load(object sender, EventArgs e) {

	}
	protected void btnGetName_Click(object sender, EventArgs e) {
		try {
			int employeeId = int.Parse(txtEmployee.Text);
			RequestProcessor req = new RequestProcessor();
			
			string name = req.GetEmployeeName(employeeId);
			if (String.IsNullOrEmpty(name))
				name = "Employee not found.";

			lblName.Text = name;
		} catch (Exception exc) {
			handleError(exc);
		}
	}

	private void handleError(Exception exc) {
		//if (ExceptionHandler.HandleException(exc, "UIPolicy"))
			errMessage.Text = String.Format("<li>{0} error occurred.<br>&nbsp;&nbsp;{1}", exc.GetType(), exc.Message);
	}

	protected void btnGetCustName_Click(object sender, EventArgs e) {
		try {
			RequestProcessor req = new RequestProcessor();

			string name = req.GetCustomerName(txtCustomer.Text);
			if (String.IsNullOrEmpty(name))
				name = "Customer not found.";

			lblCustName.Text = name;
		} catch (Exception exc) {
			handleError(exc);
		}
	}	
}